# Files Object

> Source: https://truto.one/docs/api-reference/unified-knowledge-base-api/files/

Schema for the `Files` resource in **Unified Knowledge Base API**.

## Properties

- **`id`** _(string)_
  The unique identifier for the file
- **`file_name`** _(string)_
  The file's name.
- **`page_id`** _(string)_
  The page id to which the file belongs
- **`size`** _(number)_
  The file size in bytes
- **`file_url`** _(string)_
  The URL to download the file
- **`content_type`** _(string)_
  The content type of the file
- **`uploaded_by`** _(string)_
  The user who uploaded the file
- **`created_at`** _(string)_
  The time when the file was created
- **`updated_at`** _(string)_
  The time when the file was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/knowledge-base/files](/docs/api-reference/unified-knowledge-base-api/files/list) — List Files
- [POST /unified/knowledge-base/files/download](/docs/api-reference/unified-knowledge-base-api/files/download) — Download Files
